<div *ngIf="(form.get(field).touched || submitted) && form.get(field).invalid">
  <div *ngIf="form.get(field).hasError('required')">
    <small id="passwordRequired" class="form-text text-danger">{{field | titlecase}} required</small>
  </div>
  <div *ngIf="form.get(field).hasError('email') || form.get(field).hasError('pattern')">
    <small id="passwordRequired" class="form-text text-danger">Format invalid</small>
  </div>
</div>
